Subject: Re: [OAUTH-WG] Device profile draft

From: David Recordon <[email-masked]>
Date: Fri, 27 Aug 2010 20:29:02 +0000

While it's been a few weeks, I've made these changes and posted the Device
profile as an Internet Draft:
http://tools.ietf.org/html/draft-recordon-oauth-v2-device-00. We're working
on an implementation at Facebook and hope to provide feedback toward the
next draft.

In the meantime I'd like to request that it move to become a Working Group
item. I'm am happy to continue acting as the editor.

--David

On Thu, Jul 15, 2010 at 9:41 PM, David Recordon <[email-masked]> wrote:

> Even better, thanks!
>
>
> On Thu, Jul 15, 2010 at 2:31 PM, Michael D Adams <[email-masked]>wrote:
>
>> On Thu, Jul 15, 2010 at 2:11 PM, David Recordon <[email-masked]>
>> wrote:
>> > On Thu, Jul 15, 2010 at 1:36 PM, Zeltsan, Zachary (Zachary)
>> >> “The client makes the following request at an arbitrary but reasonable
>> >> interval which MUST NOT exceed the minimum interval rate provided by
>> >>   the authorization server (if present via the "interval" parameter).”
>> >>
>> >> My understanding is that the intervals between the client’s subsequent
>> >> requests must not be less than the value provided by the “interval”
>> >> parameter (if it is present). If that is correct than the intervals
>> between
>> >> the subsequent requests MUST exceed (or be equal to) the value of the
>> >> “interval” parameter.
>> >
>> > Thanks! Reworded to "The client makes the following request at an
>> arbitrary
>> > but reasonable interval which MUST NOT be less than the minimum interval
>> > rate provided by the authorization server"
>>
>> It still sounds confusing to me.  Part of the problem is that we're
>> talking both about an interval (a length of time) and a frequency
>> (requests per unit of time).
>>
>> How about:
>>
>> The client makes the next request after an arbitrary but reasonable
>> length of time, which MUST be longer than or equal to the minimum
>> length of time provided by the authorization server in the "interval"
>> parameter if present.
>>
>>
>> I changed "following" to "next" because the former makes it sound like
>> the next paragraph will have details about the request.
>>
>> I changed "at an arbitrary" to "after an arbitrary" since we're
>> talking here about lengths of time.
>>
>> I replaced "interval" with "length of time" to make it clear we're
>> talking about the length of time and not the corresponding frequency.
>>
>> Mike
>> --mdawaffe
>> _______________________________________________
>> OAuth mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/oauth
>>
>
>